package cn.iocoder.yudao.module.llm.enums;

import java.util.HashMap;
import java.util.Map;

public class FineTuningTaskStatusConstants {

    public final static Map<String, Integer> STATUS_MAP = new HashMap<>();

    static {
        STATUS_MAP.put("waiting", 3);
        STATUS_MAP.put("failed", 4);
        STATUS_MAP.put("success", 2);
        STATUS_MAP.put("running", 1);
        STATUS_MAP.put("cancel", 0);
    }

    public final static Integer getStatus(String status) {
        return STATUS_MAP.get(status);
    }
}
